com.io7m.jstructural.annotated

## Class SAListUnordered

- java.lang.Object
- - com.io7m.jstructural.annotated.SAListUnordered

- All Implemented Interfaces:
    SAFootnoteContent, SAFormalItemContent, SAListItemContent, SAParagraphContent, SATableCellContent

      public final class SAListUnordered
      extends Object
      implements SAListItemContent, SAFootnoteContent, SAParagraphContent, SAFormalItemContent, SATableCellContent

  An unordered list element.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `<A> A` | `footnoteContentAccept(SAFootnoteContentVisitor<A> v)` Accept a footnote content visitor.
    `<A> A` | `formalItemContentAccept(SAFormalItemContentVisitor<A> v)` Accept a formal item content visitor.
    `SNonEmptyList<SAListItem>` | `getItems()`
    `com.io7m.jfunctional.OptionType<String>` | `getType()`
    `int` | `hashCode()`
    `<A> A` | `listItemContentAccept(SAListItemContentVisitor<A> v)` Accept a list item content visitor.
    `<A> A` | `paragraphContentAccept(SAParagraphContentVisitor<A> v)` Accept a paragraph content visitor.
    `<A> A` | `tableCellContentAccept(SATableCellContentVisitor<A> v)` Accept a table cell content visitor.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### equals

          public boolean equals(@Nullable
                       Object obj)

      Overrides:
        `equals` in class `Object`

    - #### footnoteContentAccept

          public <A> A footnoteContentAccept(SAFootnoteContentVisitor<A> v)
                                  throws Exception

      Description copied from interface: `SAFootnoteContent`
      Accept a footnote content visitor.
      Specified by:
        `footnoteContentAccept` in interface `SAFootnoteContent`
      Type Parameters:
        `A` - The type of values returned by the visitor
      Parameters:
        `v` - The visitor
      Returns:
        The value returned by the visitor.
      Throws:
        `Exception` - If the visitor raises and `Exception`

    - #### formalItemContentAccept

          public <A> A formalItemContentAccept(SAFormalItemContentVisitor<A> v)
                                    throws Exception

      Description copied from interface: `SAFormalItemContent`
      Accept a formal item content visitor.
      Specified by:
        `formalItemContentAccept` in interface `SAFormalItemContent`
      Type Parameters:
        `A` - The type of values returned by the visitor
      Parameters:
        `v` - The visitor
      Returns:
        The value returned by the visitor.
      Throws:
        `Exception` - If the visitor raises and `Exception`

    - #### getItems

          public SNonEmptyList<SAListItem> getItems()

      Returns:
        The list items

    - #### getType

          public com.io7m.jfunctional.OptionType<String> getType()

      Returns:
        The type attribute

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### listItemContentAccept

          public <A> A listItemContentAccept(SAListItemContentVisitor<A> v)
                                  throws Exception

      Description copied from interface: `SAListItemContent`
      Accept a list item content visitor.
      Specified by:
        `listItemContentAccept` in interface `SAListItemContent`
      Type Parameters:
        `A` - The type of values returned by the visitor
      Parameters:
        `v` - The visitor
      Returns:
        The value returned by the visitor.
      Throws:
        `Exception` - If the visitor raises and `Exception`

    - #### paragraphContentAccept

          public <A> A paragraphContentAccept(SAParagraphContentVisitor<A> v)
                                   throws Exception

      Description copied from interface: `SAParagraphContent`
      Accept a paragraph content visitor.
      Specified by:
        `paragraphContentAccept` in interface `SAParagraphContent`
      Type Parameters:
        `A` - The type of values returned by the visitor
      Parameters:
        `v` - The visitor
      Returns:
        The value returned by the visitor.
      Throws:
        `Exception` - If the visitor raises and `Exception`

    - #### tableCellContentAccept

          public <A> A tableCellContentAccept(SATableCellContentVisitor<A> v)
                                   throws Exception

      Description copied from interface: `SATableCellContent`
      Accept a table cell content visitor.
      Specified by:
        `tableCellContentAccept` in interface `SATableCellContent`
      Type Parameters:
        `A` - The type of values returned by the visitor
      Parameters:
        `v` - The visitor
      Returns:
        The value returned by the visitor.
      Throws:
        `Exception` - If the visitor raises and `Exception`

Copyright © 2014 <code@io7m.com> http://io7m.com